summaryrefslogtreecommitdiff
path: root/extra/openrc/hostname.initd
diff options
context:
space:
mode:
Diffstat (limited to 'extra/openrc/hostname.initd')
-rw-r--r--extra/openrc/hostname.initd18
1 files changed, 18 insertions, 0 deletions
diff --git a/extra/openrc/hostname.initd b/extra/openrc/hostname.initd
new file mode 100644
index 0000000..bd20874
--- /dev/null
+++ b/extra/openrc/hostname.initd
@@ -0,0 +1,18 @@
+#!/sbin/openrc-run
+
+description="Sets the hostname of the machine."
+
+depend() {
+ keyword -prefix -lxc -docker
+}
+
+start() {
+ if [ -s /etc/hostname ] ; then
+ opts="-F /etc/hostname"
+ else
+ opts="${hostname:-localhost}"
+ fi
+ ebegin "Setting hostname"
+ hostname $opts
+ eend $?
+}